<div class="newsfeed-container">
  <mat-card class="newsfeed-card">
    <div class="newsfeed-header">
      <mat-icon>rss_feed</mat-icon>
      <h2>
        {{ 'dashboard.newsFeed' | translate }}
      </h2>
    </div>
    <hr />
    <div class="news-list-wrapper">
      <div class="news-list">
        <ng-container *ngFor="let news of newsList">
          <div
            class="news-item"
            [ngClass]="{ draft: showDrafts && news.draft }"
            *ngIf="showDrafts || !news.draft"
          >
            <h4 class="news-header">
              {{ news.headline }}
            </h4>
            <hr />
            <div class="news-content">
              {{ news.text }}
            </div>
            <div class="news-date">
              {{ dateFormatter.getDateInRightFormat(news.date) }}
            </div>
          </div>
        </ng-container>
      </div>
    </div>
  </mat-card>

  <mat-card class="report-card">
    <div class="report-header">
      <mat-icon>rss_feed</mat-icon>
      <h2>
        {{ 'dashboard.TechnicalReports' | translate }}
      </h2>
    </div>
    <hr />
    <div class="button-container">
      <button
        class="icon-button"
        mat-raised-button
        color="accent"
        (click)="downloadTechnicalReport('WindFlower.pdf')"
      >
        <mat-icon>file_download</mat-icon>
        {{ 'dashboard.Windflower' | translate }}
      </button>
      <button
        class="icon-button"
        mat-raised-button
        color="accent"
        (click)="downloadTechnicalReport('WebApp.pdf')"
      >
        <mat-icon>file_download</mat-icon>
        {{ 'dashboard.WebApp' | translate }}
      </button>
    </div>
  </mat-card>
</div>
